Skip to main content

createSlackIntegration

Create Slack integration

createSlackIntegration(
input: CreateSlackIntegrationInput!
): CreateSlackIntegrationPayload

Arguments​

createSlackIntegration.input ● CreateSlackIntegrationInput! non-null input​

Parameters for CreateSlackIntegration

Type​

CreateSlackIntegrationPayload object​

Autogenerated return type of CreateSlackIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateSlackIntegration($input: CreateSlackIntegrationInput!) {\n createSlackIntegration(input: $input) { clientMutationId notificationsIntegration { id connectionHealth { __typename } createdAt } }\n}","variables":{"input":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute